org.apache.solr.rest

## Class BaseSolrResource.SolrOutputRepresentation

- java.lang.Object
- - org.restlet.representation.Variant
  - - org.restlet.representation.RepresentationInfo
    - - org.restlet.representation.Representation
      - - org.restlet.representation.StreamRepresentation
        - - org.restlet.representation.OutputRepresentation
          - - org.apache.solr.rest.BaseSolrResource.SolrOutputRepresentation

- Enclosing class:
    BaseSolrResource

      public class BaseSolrResource.SolrOutputRepresentation
      extends org.restlet.representation.OutputRepresentation

  This class serves as an adapter between Restlet and Solr's response writers.

- - ### Field Summary

    - ### Fields inherited from class org.restlet.representation.Representation

      `UNKNOWN_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrOutputRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(OutputStream outputStream)` Called by Restlet to get the response body

    - ### Methods inherited from class org.restlet.representation.OutputRepresentation

      `getChannel, getStream`

    - ### Methods inherited from class org.restlet.representation.StreamRepresentation

      `getReader, write, write`

    - ### Methods inherited from class org.restlet.representation.Representation

      `append, exhaust, getAvailableSize, getDigest, getDisposition, getExpirationDate, getRange, getRegistration, getSize, getText, hasKnownSize, isAvailable, isEmpty, isSelectable, isTransient, release, setAvailable, setDigest, setDisposition, setExpirationDate, setListener, setRange, setSize, setTransient`

    - ### Methods inherited from class org.restlet.representation.RepresentationInfo

      `getModificationDate, getTag, setModificationDate, setTag`

    - ### Methods inherited from class org.restlet.representation.Variant

      `createClientInfo, equals, getCharacterSet, getEncodings, getLanguages, getLocationRef, getMediaType, includes, isCompatible, setCharacterSet, setEncodings, setLanguages, setLocationRef, setLocationRef, setMediaType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrOutputRepresentation

          public SolrOutputRepresentation()

  - ### Method Detail

    - #### write

          public void write(OutputStream outputStream)
                     throws IOException

      Called by Restlet to get the response body
      Specified by:
        `write` in class `org.restlet.representation.Representation`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.